Page MenuHomePhabricator

profiler.php: PHP Notice: RedisException: Connection timed out
Closed, ResolvedPublic

Description

Error
message
[XWfh-QpAMFMAAEkG6TYAAABD] /zh-tw/IU_(%E8%89%BA%E4%BA%BA)   ErrorException from line 472 of /srv/mediawiki/wmf-config/profiler.php: PHP Notice: RedisException: Connection timed out
Impact

Noticed in wmf.7, wmf.8, wmf.17, wmf.19 and wmf.20.

Notes

There are two similar errors:

323 hits total. Noticed in wmf.7, wmf.8, wmf.15, wmf.16, wmf.17.

message
[{exception_id}] {exception_url} ErrorException from line 465 of /srv/mediawiki/wmf-config/profiler.php: PHP Notice: RedisException: Connection timed out

105 hits total. Noticed in wmf.17, wmf.19 and wmf.20.

message
[{exception_id}] {exception_url} ErrorException from line 472 of /srv/mediawiki/wmf-config/profiler.php: PHP Notice: RedisException: Connection timed out

Details

Request ID
XWfh-QpAMFMAAEkG6TYAAABD
Request URL
zh.wikipedia.org/zh-tw/IU_(%E8%89%BA%E4%BA%BA)
Stack Trace
trace
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/wmf-config/profiler.php(472): trigger_error(string, integer)
#2 /srv/mediawiki/wmf-config/profiler.php(383): wmfExcimerFlushCallback(ExcimerLog, array)
#3 /srv/mediawiki/php-1.34.0-wmf.19/includes/libs/objectcache/APCUBagOStuff.php(57): {closure}(ExcimerLog)
#4 /srv/mediawiki/php-1.34.0-wmf.19/includes/libs/objectcache/MediumSpecificBagOStuff.php(109): APCUBagOStuff->doGet(string, integer)
#5 /srv/mediawiki/php-1.34.0-wmf.19/languages/LanguageConverter.php(965): MediumSpecificBagOStuff->get(string)
#6 /srv/mediawiki/php-1.34.0-wmf.19/languages/LanguageConverter.php(376): LanguageConverter->loadTables()
#7 /srv/mediawiki/php-1.34.0-wmf.19/languages/LanguageConverter.php(740): LanguageConverter->autoConvert(string, string)
#8 /srv/mediawiki/php-1.34.0-wmf.19/languages/LanguageConverter.php(704): LanguageConverter->recursiveConvertTopLevel(string, string)
#9 /srv/mediawiki/php-1.34.0-wmf.19/languages/LanguageConverter.php(685): LanguageConverter->convertTo(string, string)
#10 /srv/mediawiki/php-1.34.0-wmf.19/languages/Language.php(4185): LanguageConverter->convert(string)
#11 /srv/mediawiki/php-1.34.0-wmf.19/languages/Language.php(4240): Language->convert(string)
#12 /srv/mediawiki/php-1.34.0-wmf.19/includes/OutputPage.php(1346): Language->convertHtml(string)
#13 /srv/mediawiki/php-1.34.0-wmf.19/includes/OutputPage.php(1846): OutputPage->addCategoryLinks(array)
#14 /srv/mediawiki/php-1.34.0-wmf.19/includes/OutputPage.php(1950): OutputPage->addParserOutputMetadata(ParserOutput)
#15 /srv/mediawiki/php-1.34.0-wmf.19/includes/page/Article.php(700): OutputPage->addParserOutput(ParserOutput, array)
#16 /srv/mediawiki/php-1.34.0-wmf.19/includes/actions/ViewAction.php(63): Article->view()
#17 /srv/mediawiki/php-1.34.0-wmf.19/includes/MediaWiki.php(507): ViewAction->show()
#18 /srv/mediawiki/php-1.34.0-wmf.19/includes/MediaWiki.php(302): MediaWiki->performAction(Article, Title)
#19 /srv/mediawiki/php-1.34.0-wmf.19/includes/MediaWiki.php(892): MediaWiki->performRequest()
#20 /srv/mediawiki/php-1.34.0-wmf.19/includes/MediaWiki.php(523): MediaWiki->main()
#21 /srv/mediawiki/php-1.34.0-wmf.19/index.php(42): MediaWiki->run()
#22 /srv/mediawiki/w/index.php(3): require(string)
#23 {main}
Related Gerrit Patches:
operations/mediawiki-config : masterprofiler.php: Remove trigger_error call

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2019, 2:56 PM

Quick from triage meeting:

  • This isn't a new issue, but what's new is that for PHP7 we run this mid-request from php7-excimer interrupt callbacks, whereas in HHVM it used to be post-send from a Xenon batch.
  • Lower timeout? More toleratant towards timeouts. custom log channel, not php error. Batching?
Krinkle triaged this task as Low priority.Sep 23 2019, 8:25 PM
Krinkle moved this task from Inbox to Backlog: Future Goals on the Performance-Team board.

Change 542732 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] profiler.php: Remove trigger_error call

https://gerrit.wikimedia.org/r/542732

Change 542732 merged by jenkins-bot:
[operations/mediawiki-config@master] profiler.php: Remove trigger_error call

https://gerrit.wikimedia.org/r/542732

Krinkle closed this task as Resolved.Oct 12 2019, 11:20 PM
Krinkle claimed this task.
Krinkle removed a project: Patch-For-Review.

Mentioned in SAL (#wikimedia-operations) [2019-10-12T23:21:02Z] <krinkle@deploy1001> Synchronized wmf-config/profiler.php: bfa8bb69c1f, T231564 (duration: 00m 51s)